#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-autoar-0.4.5

- Next

  gnome-menus-3.38.1

- Up
- Home

# gnome-desktop-44.5

## Introduction to GNOME Desktop

The GNOME Desktop package contains a library that provides an API shared by several applications on the GNOME Desktop.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-desktop/44/gnome-desktop-44.5.tar.xz

- Download MD5 sum: d99550c41db721f4a7f302bd95eef5c2

- Download size: 748 KB

- Estimated disk space required: 19 MB

- Estimated build time: 0.3 SBU

### GNOME Desktop Dependencies

#### Required

gsettings-desktop-schemas-50.1, ISO Codes-4.20.1, libseccomp-2.6.0, and xkeyboard-config-2.47

#### Recommended

GTK-3.24.52, GTK-4.22.4, bubblewrap-0.11.2 (needed for thumbnailers in Nautilus), and GLib-2.88.0 (with GObject Introspection)

#### Optional

itstool-2.0.7, GTK-Doc-1.36.1, and libxkbcommon-1.13.1

## Installation of GNOME Desktop

Install GNOME Desktop by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr         \
                --buildtype=release   \
                -D desktop_docs=false \
                ..                    &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D desktop_docs=false`: This allows building the package without itstool-2.0.7 by disabling the installation of the copies and translations of the GNU FDL, GPL, and LGPL licenses.

`-D build_gtk4=false`: Use this option if you wish to build this package without GTK-4.22.4 installed. Note that it will likely cause GTK-4 applications depending on this package fail to build.

`-D legacy_library=false`: Use this option if you wish to build this package without GTK-3.24.52 installed. Note that it will likely cause GTK-3 applications depending on this package fail to build.

`-D gtk_doc=true`: Use this parameter if you wish to build the API documentation.

`-D installed_tests=true`: Use this parameter you wish to enable the installed tests.

## Contents

Installed Programs: None
Installed Library: libgnome-bg-4.so, libgnome-desktop-3.so, libgnome-desktop-4.so, and libgnome-rr-4.so
Installed Directories: /usr/include/gnome-desktop-3.0, /usr/include/gnome-desktop-4.0, /usr/libexec/gnome-desktop-debug, /usr/share/gtk-doc/html/gnome-desktop3 (optional), and /usr/share/help/*/{fdl,gpl,lgpl} (optional)

### Short Descriptions

`libgnome-desktop-3.so` | contains functions shared by several GNOME applications

- Prev

  gnome-autoar-0.4.5

- Next

  gnome-menus-3.38.1

- Up
- Home